<?php
// Content Management 0.5.0 module for PHProjekt, version 3.3.
// Copyright 2002, 2003 by Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$file = "display";
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;



if ($cm_path && !($cm_path == "/")) {
  $result1 = db_query("select cmdb_title, cmdb_directory, cmdb_content, cmdb_abstract, cmdb_keywords, cmdb_author_user, cmdb_owner_user, cmdb_viewer_group, cmdb_date_creation, cmdb_date_update, cmdb_type from content3 where cmdb_directory like '$cm_path' and cmdb_type like '%p%' order by upper(cmdb_title)") or db_die();
  $row1 = db_fetch_row($result1);
  if ($row1[1]) { 
    if (fcm_check_constraints (CM_SEC_DISPLA, $user_kurz, $cm_path)) {
      $cm_authornames = fcm_user_names ($row1[5]);
      $cm_ownernames = fcm_user_names ($row1[6]);
      $cm_groupnames = fcm_group_names ($row1[7]);
      $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
      fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], $cm_validops[CM_SEC_DISPLA], fcm_user_is_admin($user_kurz));
      fcm_doc_summary ($cm_authornames[1] . " " . $cm_authornames[2], $cm_ownernames[1] . " " . $cm_ownernames[2], $cm_groupnames[1], $row1[8], $row1[9], $row1[0], $row1[4], $row1[3], fcm_mark_visit ($cm_path, CM_HITTYPE_PAGE), fcm_get_updatehits ($cm_path, CM_HITTYPE_PAGE), fcm_getaverage_rating ($cm_path)); 
      if (fcm_can_usehtml ($cm_path)) {
        if ($cm_enable_htmledit) {
          echo fcm_process_markup (fcm_secure_html (fcm_decode_htmlfull ($row1[2])), $cm_path, true);
          echo "<br>";
        }
        else {
          echo fcm_process_markup (fcm_htmlentity (fcm_decode_html ($row1[2])), $cm_path, false);
        }
      }
      else {
        echo fcm_process_markup ($row1[2], $cm_path, false);
      }
      fcm_show_userratings ($cm_path);
      fcm_show_usercomments ($cm_path);
      fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], $cm_validops[CM_SEC_DISPLA], fcm_user_is_admin($user_kurz));
    }
    else {
      fcm_title_nav2 ("", false, false, false, false, false, false, false);
      fcm_message ($cm_text["needaccess2view"], CM_MSGSTYLE_WARNING);
      fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when displaying page. Not enough permissions.");
    }
  }
  else {
      fcm_title_nav2 ("", false, false, false, false, false, false, false);
      fcm_message ($cm_text["dirnotfound"], CM_MSGSTYLE_ERROR);
      fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when displaying page. Dir not found.");
  }
}
else { 
  $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
  fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], $cm_validops[CM_SEC_DISPLA], fcm_user_is_admin($user_kurz), fcm_user_is_admin($user_kurz));
  $cm_pppos = strrpos ($cm_path, "/");
  if ($cm_pppos == 0) {
    $cm_tl_path = "/";
  }
  else {
    $cm_tl_path = substr ($cm_path, 0, $cm_pppos);
  }
  echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"100%\" valign=\"top\">\n";
  $result2 = db_query("select cmdb_title, cmdb_directory, cmdb_parentdir, cmdb_abstract, cmdb_date_update, cmdb_viewer_group, cmdb_type from content3 where cmdb_parentdir = '$cm_tl_path' and cmdb_type like '%p%' " . fcm_access_sqldef ($user_kurz) . " order by upper(cmdb_title)") or db_die();
  while ($row2 = db_fetch_row($result2)) {
    fcm_articlelist_box ($row2[1], $row2[0], $row2[3], $row2[4], true, fcm_get_totalcomments ($row2[1]), fcm_get_totalhits ($row2[1], CM_HITTYPE_PAGE), fcm_getaverage_rating ($row2[1]));
    $result3 = db_query("select cmdb_title, cmdb_directory, cmdb_parentdir, cmdb_abstract, cmdb_date_update, cmdb_type from content3 where (cmdb_parentdir like '$row2[1]' or cmdb_parentdir like '$row2[1]/%') and cmdb_type like '%p%' " . fcm_access_sqldef ($user_kurz) . " order by cmdb_date_update desc") or db_die();
    $cm_rowcount = 1;
    while ($row3 = db_fetch_row($result3)) {
      fcm_articlelist_box ($row3[1], $row3[0], $row3[3], $row3[4], false, fcm_get_totalcomments ($row3[1]), fcm_get_totalhits ($row3[1], CM_HITTYPE_PAGE), fcm_getaverage_rating ($row3[1]));
      $cm_rowcount++;
      if ($cm_rowcount > $cm_home_maxleafs) {
        break;
      }
    }
  }
  echo "</td><td>\n";
  echo "<img src=\"$cm_imgpath/t.gif\" width=\"10\" height=\"1\" border=\"0\" alt=\"\">";
  echo "</td><td valign=\"top\">\n";
  //fcm_storerdf ("http://www.advogato.org/rss/articles.xml", "Advogato", 900);
  //fcm_storerdf ("http://www.cert.org/channels/certcc.rdf", "CERT Advisory", 900);
  //fcm_storerdf ("http://csociety.purdue.org/~jacoby/XML/CNN_TECHNOLOGY.xml", "CNN Tech", 900);
  //fcm_storerdf ("http://www.devshed.com/devshednews.rdf", "DevShed", 900);
  fcm_storerdf ("http://freshmeat.net/backend/fm.rdf", "Freshmeat", 900);
  //fcm_storerdf ("http://www.icewalk.com/backend/netscape_channel.txt", "IceWalk", 900);
  //fcm_storerdf ("http://www.intellnet.org/rdf/intellnet.html", "IntellNet", 900);
  //fcm_storerdf ("http://headlines.internet.com/internetnews/prod-news/news.rss", "Internet.com", 900);
  //fcm_storerdf ("http://www.kuro5hin.org/backend.rdf", "Kuro5hin", 900);
  //fcm_storerdf ("http://www.medscape.com/cx/rssfeeds/general.xml", "Medscape", 900);
  //fcm_storerdf ("http://www.fool.com/About/headlines/rss_headlines.asp", "Motley Fool", 900);
  //fcm_storerdf ("http://newsforge.com/newsforge.rdf", "NewsForge", 900);
  //fcm_storerdf ("http://www.plastic.com/plastic.rdf", "Plastic", 900);
  //fcm_storerdf ("http://www.rootprompt.org/rss/", "Root Prompt", 900);
  //fcm_storerdf ("http://x42.com/rss/rfc.rss", "RFCs", 900);
  //fcm_storerdf ("http://www.salon.com/feed/RDF/salon_use.rdf", "Salon", 900);
  //fcm_storerdf ("http://slashdot.org/slashdot.rdf", "Slashdot", 900);
  fcm_storerdf ("http://www.theregister.co.uk/tonys/slashdot.rdf", "The Register", 900);
  //fcm_storerdf ("http://www.w3.org/2000/08/w3c-synd/home.rss", "W3C", 900);
  //fcm_storerdf ("http://www.webmasterworld.com/index.rss", "Webmaster World", 900);
  //fcm_storerdf ("http://www.webreference.com/webreference.rdf", "Web Reference", 900);
  //fcm_storerdf ("http://www.wired.com/news_drop/netcenter/netcenter.rdf", "Wired", 900);
  //fcm_display_rdfbox ("Advogato", fcm_readrdf ("Advogato", 5));
  //fcm_display_rdfbox ("CERT Advisory", fcm_readrdf ("CERT Advisory", 5));
  //fcm_display_rdfbox ("CNN Tech", fcm_readrdf ("CNN Tech", 5));
  //fcm_display_rdfbox ("DevShed", fcm_readrdf ("DevShed", 5));
  fcm_display_rdfbox ("Freshmeat", fcm_readrdf ("Freshmeat", 5));
  //fcm_display_rdfbox ("IceWalk", fcm_readrdf ("IceWalk", 5));
  //fcm_display_rdfbox ("IntellNet", fcm_readrdf ("IntellNet", 5));
  //fcm_display_rdfbox ("Internet.com", fcm_readrdf ("Internet.com", 5));
  //fcm_display_rdfbox ("Kuro5hin", fcm_readrdf ("Kuro5hin", 5));
  //fcm_display_rdfbox ("Medscape", fcm_readrdf ("Medscape", 5));
  //fcm_display_rdfbox ("Motley Fool", fcm_readrdf ("Motley Fool", 5));
  //fcm_display_rdfbox ("NewsForge", fcm_readrdf ("NewsForge", 5));
  //fcm_display_rdfbox ("Plastic", fcm_readrdf ("Plastic", 5));
  //fcm_display_rdfbox ("RFCs", fcm_readrdf ("RFCs", 5));
  //fcm_display_rdfbox ("Root Prompt", fcm_readrdf ("Root Prompt", 5));
  //fcm_display_rdfbox ("Salon", fcm_readrdf ("Salon", 5));
  //fcm_display_rdfbox ("Slashdot", fcm_readrdf ("Slashdot", 5));
  fcm_display_rdfbox ("The Register", fcm_readrdf ("The Register", 5));
  //fcm_display_rdfbox ("W3C", fcm_readrdf ("W3C", 5));
  //fcm_display_rdfbox ("Webmaster World", fcm_readrdf ("Webmaster World", 5));
  //fcm_display_rdfbox ("Web Reference", fcm_readrdf ("Web Reference", 5));
  //fcm_display_rdfbox ("Wired", fcm_readrdf ("Wired", 5));
  echo "</td></tr></table>\n";
}


echo $cm_html_footer;

?>

