<?php
// This file contributed by Alain J. Godbout (alain@gmgconseil.com).
$path_pre="../../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;

?>

<p>
Ne pas utiliser de HTML dans le corps de ce document.
Modifiez directement en utilisant cette variante de WiKi MarkUp.
</p>


<table width="100%" border="1" cellspacing="1" cellpadding="5">
<tr>
	<td><strong>J'utilise</strong>
  </td>
	<td><strong>J'obtient</strong>
  </td>
	<td><strong>Exemple</strong>
  </td>
</tr>
<tr>
	<td> _texte_  <br>
  (espace plus soulignement et soulignement plus espace avant et apr&egrave;s le texte)
  </td>
	<td>italique (em)
  </td>
	<td> Ceci est en _italiques_ <br>
      Ceux-ci sont en <em>italique</em>
  </td>
</tr>
<tr>
	<td> *texte*  <br>
  (espalce plus asterisque et ast&eacute;risque plus espace avant et apr&egrave;s le texte)
  </td>
	<td> gras (strong)
  </td>
	<td> Ceci est *gras*<br>
      ceci est <strong>gras</strong>
  </td>
</tr>
<tr>
	<td> %encadrage%  <br>
  (espace plus pourcentage et pourcentage plus espace avant et apr&egrave;s le texte)
  </td>
	<td>Teste encadr&eacute;
  </td>
	<td> %Ceci est encadr&eacute;% <br>
      <DIV class="boxedpara">ceci est encadr&eacute;</DIV>
  </td>
</tr>
<tr>
	<td>___  <br>
  (trois soulignement au d&eacute;but d'une ligne et &agrave; la fin d'une autre ligne)
  </td>
	<td>Largeur fixe du texte (PRE)
  </td>
	<td>___<br>
  Ce texte est pr&eacute;formatt&eacute;<br>
  ___<br>
  <PRE>Ceci est un texte pr&eacute;formatt&eacute;</PRE>
  </td>
</tr>
<tr>
	<td>[[url linkname]]  <br>
  (double parenth&egrave;se carr&eacute;e ouverte suivi de url et espace et d'un titre et double parenth&egrave;se carr&eacute;e ferm&eacute;e)
  </td>
	<td>hyperlien ([[url avec titre]])
  </td>
	<td>
  Portal [[http://www.yahoo.com/]]<br>
  Portal <a href="http://www.yahoo.com/">http://www.yahoo.com/</a><br>
  Portal [[http://www.yahoo.com/ Yahoo]]<br>
  Portal <a href="http://www.yahoo.com/">Yahoo</a><br>
  </td>
</tr>
<tr>
	<td>[[.filename linkname]]  <br>
  (double parenth&egrave;se carr&eacute;e ouverte suivi du nom de fichier et espace et d'un titre et double parenth&egrave;se carr&eacute;e ferm&eacute;e)
  </td>
	<td>lien &agrave; un fichier local (fichier local, avec ou sans url)
  </td>
	<td>
  Document [[.document.pdf]]<br>
  Document <a href="document.pdf">document.pdf</a><br>
  Document [[.document.pdf in PDF format]]<br>
  Document <a href="document.pdf">in PDF format</a><br>
  </td>
</tr>
<tr>
	<td>{{url linkname}}  <br>
  (double accolade ouverte suivi de url plus espace plus titre plus double accolade ferm&eacute;e)
  </td>
	<td>lien externe dans nouvelle fen&ecirc;tre (url et titre optionnel)
  </td>
	<td>
  Portal {{http://www.yahoo.com/}}<br>
  Portal <a href="http://www.yahoo.com/" target="_blank">http://www.yahoo.com/</a><br>
  Portal {{http://www.yahoo.com/ Yahoo}}<br>
  Portal <a href="http://www.yahoo.com/" target="_blank">Yahoo</a><br>
  </td>
</tr>
<tr>
	<td>{{.filename linkname}}  <br>
  (double accolade ouverte suivi de nom de fichier plus espace plus titre plus double accolade ferm&eacute;e)
  </td>
	<td>lien &agrave; un fichier dans une nouvelle fen&ecirc;tre (url et titre en option)
  </td>
	<td>
  Document {{.document.pdf}}<br>
  Document <a href="document.pdf" target="_blank">document.pdf</a><br>
  Document {{.document.pdf in PDF format}}<br>
  Document <a href="document.pdf" target="_blank">in PDF format</a><br>
  </td>
</tr>
<tr>
	<td>((url imagename))  <br>
  (double parenth&egrave;ses plus url plus espace plus titre plus double parenth&egrave;ses)
  </td>
	<td>image externe (url and valeur aternative en option)
  </td>
	<td>
  Photo ((http://www.google.com/images/logo.gif))<br>
  Photo <img src="http://www.google.com/images/logo.gif" alt="" border="0"><br>
  Photo ((http://www.google.com/images/logo.gif Example image))<br>
  Photo <img src="http://www.google.com/images/logo.gif" alt="Example image" border="0"><br>
  </td>
</tr>
<tr>
	<td>((.filename linkname))  <br>
  (double parenth&egrave;ses plus point plus nom de fichier plus espace plus titre plus double parenth&egrave;ses)
  </td>
	<td>image locale (nom de fichier et veleur alternative en option)
  </td>
	<td>
  Photo ((.example.jpg))<br>
  Photo <img src="example.jpg" alt="" border="0"><br>
  Photo ((.example.jpg Exemple d'image))<br>
  Photo <img src="example.jpg" alt="Exemple d'image" border="0"><br>
  </td>
</tr>
<tr>
	<td>#[<br>
	#- List item text1.<br>
	#- List item text2.<br>
	#- List item textn.<br>
  #]<br>
  (hash plus opening bracket, hash plus dash, hash plus closing bracket)
  </td>
	<td>Ordered list (numbered list). Can be nested.
  </td>
	<td>#[<br>
	#- Suzanne.<br>
	#- Carlos.<br>
	#- Nanami.<br>
	#- Local friends:<br>
	#[<br>
	#- Vicky<br>
	#- Zariv<br>
	#- Arnulfo<br>
  #]<br>
  #]<br>
  <ol>
  <li>Suzanne
  <li>Carlos
  <li>Nanami
  <li>Local friends:
  <ol>
  <li>Vicky
  <li>Zariv
  <li>Arnulfo
  </ol>
  </ol>
  </td>
</tr>
<tr>
	<td>*[<br>
	*- List item text1.<br>
	*- List item text2.<br>
	*- List item textn.<br>
  *]<br>
  (asterisk plus opening bracket, asterisk plus dash, asterisk plus closing bracket)
  </td>
	<td>Unordered list (bulleted list). Can be nested.
  </td>
	<td>*[<br>
	*- Suzanne.<br>
	*- Carlos.<br>
	*- Nanami.<br>
	*- Local friends:<br>
	*[<br>
	*- Vicky<br>
	*- Zariv<br>
	*- Arnulfo<br>
  *]<br>
  *]<br>
  <ul>
  <li>Suzanne
  <li>Carlos
  <li>Nanami
  <li>Local friends:
  <ul>
  <li>Vicky
  <li>Zariv
  <li>Arnulfo
  </ul>
  </ul>
  </td>
</tr>
<tr>
	<td>#INDEX#<br>
  (num&eacute;ro plus INDEX plus num&eacute;ro)
  </td>
	<td>index de pages subs&eacute;quentes(liste des documents disponibles)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>#FILESr>
  (num&eacute;ron plus FILES plus num&eacute;ro)
  </td>
	<td>index de fichiers locaux (index de documents locaux t&eacute;l&eacute;chargeables)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>#ALBUM#<br>
  (num&eacute;ro plus ALBUM plus num&eacute;ro
  </td>
	<td>Album d'image JPEG locales (g&eacute;n&eacute;r&eacute;es avec des images-puces)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>= <br>
  (&eacute;gal plus espace au d&eacute;but d'une ligne)
  </td>
	<td>Titre (H1)
  </td>
	<td>= Ceci est un titre<br>
      <h1>ceci est un titre</h1>
  </td>
</tr>
<tr>
	<td>== <br>
  (2 &eacute;gal plus espace au d&eacute;but d'une ligne)
  </td>
	<td>Section (H2)
  </td>
	<td>== ceci est une ent&ecirc;te de section<br>
      <h2>cecie est une ent&ecirc;te de section</h2>
  </td>
</tr>
<tr>
	<td>=== 
  (3 &eacute;gal plus espace au d&eacute;but d'une ligne)
  </td>
	<td>Paragraphe (H3)
  </td>
	<td>=== ceci est une ent&ecirc;te de paragraphe<br>
      <h3>ceci est une ent&ecirc;te de paragraphe</h3>
  </td>
</tr>
<tr>
	<td>==== 
  (4 &eacute;gal plus espace au d&eacute;but d'une ligne)
  </td>
	<td>Paragraphe (H4)
  </td>
	<td>==== ceci est un titre<br>
      <h4>ceci est un titre</h4>
  </td>
</tr>
<tr>
	<td> :)   <br>
  :P <br>
  :p <br>
  :( <br>
  :'( <br>
  :,( <br>
  =) <br>
  ;) <br>
  :O <br>
  :o <br>
  :D <br>
  :\ <br>
  :/ <br>
  :| <br>
  (espace plus emoticon/smiley)
  </td>
	<td>Emoticon/smiley/icone
  </td>
	<td> Suis content... :)<br>
      Suis content... <img src="../img/set01/face1.png" alt="" border="0">
  </td>
</tr>
</table>


<?php
echo $cm_html_footer;
?>

