<?php
// Content Management 0.5.0 module for PHProjekt, version 3.3.
// Copyright 2002, 2003 by Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$file = "adm_applog";
$path_pre="../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;


if ($cmru) {
  echo "<p><a href=\"" . $cmru . ".php\"><strong>{$cm_text["setup-return"]}</strong></a></p>";
}

if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
  echo "<p><strong>{$cm_text["applog-welcome"]}</strong></p>";

  echo "<form action=\"adm_applog.php\" method=\"post\">\n";
  echo "<input type=\"hidden\" name=\"cmru\" value=\"$cmru\">";
  echo "<input type=\"text\" name=\"cm_search_term\" value=\"$cm_search_term\">\n";
  echo "<select name=\"cm_search_field\">\n";
  echo "  <option value=\"date\">Date</option>\n";
  echo "  <option value=\"operation\">Operation</option>\n";
  echo "  <option value=\"user\">User</option>\n";
  echo "  <option value=\"directory\">Directory</option>\n";
  echo "  <option value=\"description\">Description</option>\n";
  echo "</select>\n";
  echo "<button type=\"submit\" name=\"cm_search\">Search</button>\n";
  echo "</form><hr>\n";

  if (($cm_search_term) && ($cm_search) && ($cm_search_field)) {
    $cm_where = "";
    switch ($cm_search_field) {
      case "date":
        $cm_where = "where cmdb_date like '%$cm_search_term%'";
        break;
      case "operation":
        $cm_where = "where cmdb_operation like '%$cm_search_term%'";
        break;
      case "user":
        $cm_where = "where cmdb_user like '%$cm_search_term%'";
        break;
      case "directory":
        $cm_where = "where cmdb_directory like '%$cm_search_term%'";
        break;
      case "description":
        $cm_where = "where cmdb_description like '%$cm_search_term%'";
        break;
    }
    $result1 = db_query("select id, cmdb_date, cmdb_operation, cmdb_user, cmdb_directory, cmdb_description from cmapplog3 $cm_where order by id") or db_die();
    echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\">";
    echo "<tr><td><strong>{$cm_text["applog-id"]}</strong></td><td><strong>{$cm_text["applog-date"]}</strong></td><td><strong>{$cm_text["applog-operation"]}</strong></td><td><strong>{$cm_text["applog-user"]}</strong></td><td><strong>{$cm_text["applog-directory"]}</strong></td><td><strong>{$cm_text["applog-description"]}</strong></td></tr>";
    while ($row1 = db_fetch_row($result1)) {
      echo "<tr>";
      echo "<td>$row1[0]</td>";
      echo "<td>$row1[1]</td>";
      echo "<td>$row1[2]</td>";
      echo "<td>$row1[3]</td>";
      echo "<td>$row1[4]</td>";
      echo "<td>$row1[5]</td>";
      echo "</tr>";
    }
    echo "</table>";

    fcm_add_logentry ("", $user_kurz, CM_APPLOG_INFO, "Applog viewer executed.");
  }



}
else {
  echo "<p><strong>{$cm_text["applog-welcome"]}</strong></p>";
  echo "{$cm_text["setup-currentuser"]} <strong>$user_kurz</strong><br>";
  echo "{$cm_text["setup-superuseris"]} <strong>$cm_superuser</strong></p>";
  echo "<h3>{$cm_text["applog-nosuperuser"]}</h3>";
  fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when viewing applog. Not enough permissions.");
}

if ($cmru) {
  echo "<p><a href=\"" . $cmru . ".php\"><strong>{$cm_text["setup-return"]}</strong></a></p>";
}

echo $cm_html_footer;
?>

